Subject: Comments on OGIP proposal for EXTNAME keywords

From: mo at cfa234.harvard.edu (Maureen Conroy)
Date: Thu, 17 Jun 93 19:15:28 EDT

Comments on the OGIP proposal for EXTNAME keywords

First, let me correct the statement that IRAF can only handle
6 character keyword values.  This is NOT correct, though
it is recommended in the FITS standards, due to limitations on
many systems, that KEYWORD values be UNIQUE in the first 8 characters.
For ROSAT FITS, I had recommended a guideline of 6 because most of
our previously used extensions were 3 characters, and then combinations
would naturally be 6 characters.  Also, in PROS, these keywords are then
used as suffixes on the DATASET name to produce the final unique
filenames; keeping all these as short as possible seems best for the user.

An easy way to provide automatic filenaming for FITS readers is to
name the file according to the EXTNAME.  The FITS proposal
for BINTABLE encourages this, and suggests that EXTNAME can be used
to give a name to the extension file to distinguish it from similar files.
This of course doesn't work, if there is more than 1 extension with the 
same EXTNAME in a file.  Also with this in mind, I prefer EXTNAMEs
that do not contain blanks.

	Personally, I am concerned by the recent proliferation of proposed
keywords.  I would prefer to see these issues handled
within the existing definitions.  I think it would be
more flexible to make separate FITS files for the different CLASSES and
TYPES that are discussed in this proposal.  Then simple HISTORY or
COMMENT keywords would be sufficient to record the processing history
or derivation of the data sets.  This has the additional advantage
that users and/or readers don't have to wade through long lists of
events, in which they may not be interested, to get to the list of choice.
	In this way, one can have for the current HEA EVENT lists:
	a)  STANDARD event list FITS file containing extensions
		EVENTS
		GTI
		TSI
		QLIM
		etc...
	b)  REJECTED event list FITS file containing extensions
		EVENTS
		GTI
		...
	c)  ALL ( or unscreened ) event list FITS file containing extensions
		EVENTS
		GTI
		...
FITS readers have no need to know the processing history of these files.
The user can choose which sets of processed data are to be read.

					Maureen Conroy
					ROSAT/PROS group at SAO